#pragma once

#include <base/exception.h>


namespace Hsm {
	class Buffer_too_short_exception;
	class Null_pointer_exception;
	class Memory_alloc_exception;
	class Bad_hsm_protcol_version_exception;
	class Error_response_exception;
	class Missing_payload_exception;
	class Invalid_argument_exception;
	class Remote_hsm_error;
	class Not_logged_in;
}

class Hsm::Invalid_argument_exception : public Genode::Exception
{
};

class Hsm::Buffer_too_short_exception : public Genode::Exception
{
};

class Hsm::Null_pointer_exception : public Genode::Exception
{
};

class Hsm::Memory_alloc_exception : public Genode::Exception
{
};

class Hsm::Bad_hsm_protcol_version_exception : public Genode::Exception
{
};

class Hsm::Error_response_exception : public Genode::Exception
{
};

class Hsm::Missing_payload_exception : public Genode::Exception
{
};

class Hsm::Remote_hsm_error : public Genode::Exception
{
};

class Hsm::Not_logged_in : public Genode::Exception
{
};
